import Vue from 'vue'
import Router from 'vue-router'
import SaleTask from '@/pages/saletask'
import SaleTaskDetail from '@/pages/saletaskdetail'
import SaleTaskmxjd from '@/pages/saletaskmxjd'
import Home from '@/pages/home'
import Setting from '@/pages/setting'
import Daily from '@/pages/daily'
import Pushlist from '@/pages/pushlist'
import About from '@/pages/about_nanfang'
import CsesSptTodo from '@/pages/cses_spt/todo'
import CsesSptDetail from '@/pages/cses_spt/cses_spt_detail'
import CsesSptFeedback from '@/pages/cses_spt/cses_spt_feedback'
import WkpFinish from '@/pages/wkpfinish'
import Orderwkp from '@/pages/orderwkp'
import Quote from '@/pages/quote'
import QuoteEdit from '@/pages/quoteedit'
import QuotePad from '@/pages/quote_pad'
import QuotePadEdit from '@/pages/quote_edit_pad'
import QuoteRslt from '@/pages/quote_rslt'
import Quotehis from '@/pages/quote_his'
import CustReport from '@/pages/report/custreport'
import ReportDetail from '@/pages/report/reportdetail'
import SaletaskReport from '@/pages/report/saletaskreport'
import Producerp from '@/pages/report/producerp'
import Producemx from '@/pages/report/producemx'
import Saletaskycrp from '@/pages/report/saletaskycrp'
import Saleintime from '@/pages/report/saleintime'
import Ito from '@/pages/report/ito'
import Itomx from '@/pages/report/itomx'
import Profit from '@/pages/report/profit'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Home',
      component: Home
    },
    {
      path: '/detail',
      name: 'SaleTaskDetail',
      component: SaleTaskDetail,
      meta: {
        title: '订单详情'
      }
    },
    {
      path: '/salemxjd',
      name: 'SaleTaskmxjd',
      component: SaleTaskmxjd,
      meta: {
        title: '订单详情'
      }
    },
    {
      path: '/saletask',
      name: 'SaleTask',
      component: SaleTask,
      meta: {
        title: '订单列表'
      }
    },
    {
      path: '/setting',
      name: 'Setting',
      component: Setting,
      meta: {
        title: '我'
      }
    },
    {
      path: '/daily',
      name: 'Daily',
      component: Daily,
      meta: {
        title: '经营日报表'
      }
    },
    {
      path: '/pushlist',
      name: 'Pushlist',
      component: Pushlist,
      meta: {
        title: '推送资讯'
      }
    },
    {
      path: '/about',
      name: 'About',
      component: About,
      meta: {
        title: '关于'
      }
    },
    {
      path: '/csesspttodo',
      name: 'CsesSptTodo',
      component: CsesSptTodo,
      meta: {
        title: '待接收'
      }
    },
    {
      path: '/csessptdetail',
      name: 'CsesSptDetail',
      component: CsesSptDetail,
      meta: {
        title: '采购订单详情'
      }
    },
    {
      path: '/csessptfeedback',
      name: 'CsesSptFeedback',
      component: CsesSptFeedback,
      meta: {
        title: '待回复'
      }
    },
    {
      path: '/wkpfinish',
      name: 'WkpFinish',
      component: WkpFinish,
      meta: {
        title: '工组完工'
      }
    },
    {
      path: '/orderwkp',
      name: 'Orderwkp',
      component: Orderwkp,
      meta: {
        title: '工组进度'
      }
    },
    {
      path: '/quote',
      name: 'Quote',
      component: Quote,
      meta: {
        title: '产品报价'
      }
    },
    {
      path: '/quoteedit',
      name: 'QuoteEdit',
      component: QuoteEdit,
      meta: {
        title: '产品报价'
      }
    },
    {
      path: '/quote_pad',
      name: 'QuotePad',
      component: QuotePad,
      meta: {
        title: '产品报价'
      }
    },
    {
      path: '/quote_edit_pad',
      name: 'QuotePadEdit',
      component: QuotePadEdit,
      meta: {
        title: '产品报价'
      }
    },
    {
      path: '/quote_rslt',
      name: 'QuoteRslt',
      component: QuoteRslt,
      meta: {
        title: '产品报价'
      }
    },
    {
      path: '/quotehis',
      name: 'Quotehis',
      component: Quotehis,
      meta: {
        title: '产品报价历史'
      }
    },
    {
      path: '/custreport',
      name: 'CustReport',
      component: CustReport,
      meta: {
        title: '客户销售排名统计表'
      }
    },
    {
      path: '/reportdetail',
      name: 'ReportDetail',
      component: ReportDetail,
      meta: {
        title: '报表明细'
      }
    },
    {
      path: '/saletaskreport',
      name: 'SaletaskReport',
      component: SaletaskReport,
      meta: {
        title: '新增销售订单统计表'
      }
    },
    {
      path: '/producerp',
      name: 'Producerp',
      component: Producerp,
      meta: {
        title: '产值统计表'
      }
    },
    {
      path: '/producemx',
      name: 'Producemx',
      component: Producemx,
      meta: {
        title: '生产类明细表'
      }
    },
    {
      path: '/saletaskycrp',
      name: 'Saletaskycrp',
      component: Saletaskycrp,
      meta: {
        title: '在进行出口订单异常统计表'
      }
    },
    {
      path: '/saleintime',
      name: 'Saleintime',
      component: Saleintime,
      meta: {
        title: '销售准交统计表'
      }
    },
    {
      path: '/ito',
      name: 'Ito',
      component: Ito,
      meta: {
        title: '周转统计表'
      }
    },
    {
      path: '/itomx',
      name: 'Itomx',
      component: Itomx,
      meta: {
        title: '周转统计表明细'
      }
    },
    {
      path: '/profit',
      name: 'Profit',
      component: Profit,
      meta: {
        title: '销售订单利润统计表'
      }
    }
  ]
})
